package com.izouma.awesomeadmin.dao;

import java.util.*;
import com.izouma.awesomeadmin.datasource.DataSource;
import org.springframework.stereotype.Repository;
import com.izouma.awesomeadmin.model.MemberCoinTixian;


/**
*  Dao接口
*/
@Repository("com.zoumaframe.dao.MemberCoinTixianMapper")
public interface MemberCoinTixianMapper{

    int deleteByPrimaryKey(Integer id);

    int insertSelective(MemberCoinTixian record);

    MemberCoinTixian selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(MemberCoinTixian record);

    List<MemberCoinTixian> queryAllMemberCoinTixian(MemberCoinTixian record);

    List<MemberCoinTixian> queryMemberCoinTixianByPage(Map<String, Object> parameter);

    int delete(String id);

    MemberCoinTixian queryMemberCoinTixian(MemberCoinTixian record);

    List<MemberCoinTixian> query(MemberCoinTixian record);
}

